Bug 994869 - Minor issue with irssi/irc on F19
Minor issue with irssi/irc on F19
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-08 03:26 EDT by Robin Powell
Modified: 2015-02-18 09:04 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 09:04:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robin Powell 2013-08-08 03:26:10 EDT
(as always, I have unconfined off)

As far as I can tell, irssi_use_full_network has no real effect in F19; I still get:

type=SOCKADDR msg=audit(08/07/2013 23:49:46.709:10391) : saddr=inet host:84.240.3.129 serv:7070
type=AVC msg=audit(08/07/2013 23:49:46.709:10391) : avc:  denied  { name_connect } for  pid=2784 comm=irssi dest=7070 scontext=user_u:user_r:irc_t:s0 tcontext=system_u:object_r:unreserved_port_t:s0 tclass=tcp_socket


when it tries to open weird ports.  I have to instead use irc_use_any_tcp_ports
Comment 1 Miroslav Grepl 2013-08-08 09:13:59 EDT
Yes.

#============= irc_t ==============

#!!!! This avc can be allowed using one of the these booleans:
#     nis_enabled, irc_use_any_tcp_ports
allow irc_t unreserved_port_t:tcp_socket name_connect;
Comment 2 Robin Powell 2013-08-09 14:45:35 EDT
Hmm, I seem to have left several things out of that bug report that I thought I wrote.  -_-  Sorry.  My point was that the bug is that "man irssi_selinux" says:

       If you want to allow the Irssi IRC Client to connect to any port, and to bind to any unreserved port, you must turn on the irssi_use_full_network boolean. Disabled by default.

       setsebool -P irssi_use_full_network 1

       If you want to allow users to resolve user p

which appears to be false.

-Robin
Comment 3 Daniel Walsh 2013-08-11 08:08:57 EDT
man irc_selinux
...
       If  you want to determine whether irc clients can listen on and connect
       to any unreserved TCP ports, you must turn on the irc_use_any_tcp_ports
       boolean. Disabled by default.

       setsebool -P irc_use_any_tcp_ports 1
Comment 4 Robin Powell 2013-09-12 14:23:29 EDT
I don't see how the contents of "man irc_selinux" are relevant to my bug report that the contents of "man irssi_selinux" are wrong?  If irssi_use_full_network does something, then "man irssi_selinux" should at least be updated to mention irc_use_any_tcp_ports , but since irssi runs as irc_t now, I don't think irssi_use_full_network actually does anything at all, and in fact I suspect that the entire irssi_selinux man page should be removed, but one way or another, that man page is either incomplete or irrelevant, and should be changed; the contents of the irc_selinux man page don't change that.
Comment 5 Daniel Walsh 2013-09-16 14:12:01 EDT
Miroslav, did you intend to combine these domains?

/usr/bin/[st]irc	--	gen_context(system_u:object_r:irc_exec_t,s0)
/usr/bin/ircII	--	gen_context(system_u:object_r:irc_exec_t,s0)
/usr/bin/irssi	--	gen_context(system_u:object_r:irc_exec_t,s0)
/usr/bin/tinyirc	--	gen_context(system_u:object_r:irc_exec_t,s0)

Seems we have nothing defined as irrsi_exec_t?
Comment 6 Dominick Grift 2013-09-16 14:21:40 EDT
This is due to merging refpolicy into Fedora.

Fedora has a irssi policy module, but upstream insisted irssi support be added to her existing irc module. Then later refpolicy was merged into Fedora and thus she ended up with two variants

I would suggest we remove the existing irssi module and go with the irc variant instead to stay in-sync with upstread.
Comment 7 Daniel Walsh 2013-09-16 15:23:59 EDT
I agree, we should just typealias irssi_t to irc_t.  Get rid of the confusing boolean and the man page.
Comment 8 Miroslav Grepl 2013-09-25 07:24:29 EDT
Lukas,
could you try to do it?
Comment 9 Lukas Vrabec 2013-09-26 03:38:05 EDT
Sure. I'm going to try it today.
Comment 10 Fedora End Of Life 2015-01-09 17:15:12 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2015-02-18 09:04:46 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.